<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_923b46b96d9db24c4faa35027fc" . "77b71" => base64_decode("Q29udHJvbCBjYW4n" . "dCBpbnB1dCB0aGUg" . "ZGF0YQ=="), "_4be538b2f65f8d8f8dde8a914f610" . "076" => base64_decode("Vmlldw=" . "="), "ri" . "gh" . "ts" => base64_decode("cm" . "ln" . "aH" . "Rz"), "_6f65d5feee27b320b6f7785c82762a7" . "2" => base64_decode("dXNlcnN" . "fbGlzdC" . "52aXNpY" . "mxl"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["ri" . "gh" . "ts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4be538b2f65f8d8f8dde8a914f610" . "076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_923b46b96d9db24c4faa35027fc" . "77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["ri" . "gh" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6f65d5feee27b320b6f7785" . "c82762a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4be538b2f6" . "5f8d8f8dde8" . "a914f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["right" . "s"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}